Module org.apache.derby.engine
Package org.apache.derby.vti

# Class Restriction.AND

java.lang.Object
org.apache.derby.vti.Restriction
org.apache.derby.vti.Restriction.AND

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Restriction`

public static class Restriction.AND extends Restriction
An AND of two Restrictions

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.derby.vti.Restriction

  `Restriction.AND, Restriction.ColumnQualifier, Restriction.OR`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`
  Derby serializes these objects in PreparedStatements

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AND(Restriction leftChild, Restriction rightChild)`
  AND together two other Restrictions

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Restriction`
  `getLeftChild()`
  Get the left Restriction
  `Restriction`
  `getRightChild()`
  Get the right Restriction
  `String`
  `toSQL()`
  Turn this Restriction into WHERE clause text.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### serialVersionUID

    public static final long serialVersionUID
    Derby serializes these objects in PreparedStatements
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AND

    public AND(Restriction leftChild, Restriction rightChild)
    AND together two other Restrictions
    Parameters:
      `leftChild` - The first conjunct
      `rightChild` - The second conjunct

- ## Method Details

  - ### getLeftChild

    public Restriction getLeftChild()
    Get the left Restriction
    Returns:
      the first conjunct

  - ### getRightChild

    public Restriction getRightChild()
    Get the right Restriction
    Returns:
      the second conjunct

  - ### toSQL

    public String toSQL()
    Turn this Restriction into WHERE clause text.
    Specified by:
      `toSQL` in class `Restriction`
    Returns:
      this Restriction as WHERE clause text